Index: src/wp-content/themes/twentyten/functions.php
===================================================================
--- src/wp-content/themes/twentyten/functions.php	(revision 40901)
+++ src/wp-content/themes/twentyten/functions.php	(working copy)
@@ -44,14 +44,15 @@
  * Used to set the width of images and content. Should be equal to the width the theme
  * is designed for, generally via the style.css stylesheet.
  */
-if ( ! isset( $content_width ) )
+if ( ! isset( $content_width ) ) {
 	$content_width = 640;
+}
 
 /* Tell WordPress to run twentyten_setup() when the 'after_setup_theme' hook is run. */
 add_action( 'after_setup_theme', 'twentyten_setup' );
 
-if ( ! function_exists( 'twentyten_setup' ) ):
-/**
+if ( ! function_exists( 'twentyten_setup' ) ) :
+	/**
  * Set up theme defaults and registers support for various WordPress features.
  *
  * Note that this function is hooked into the after_setup_theme hook, which runs
@@ -70,169 +71,169 @@
  *
  * @since Twenty Ten 1.0
  */
-function twentyten_setup() {
-
-	// This theme styles the visual editor with editor-style.css to match the theme style.
-	add_editor_style();
+	function twentyten_setup() {
 
-	// Post Format support. You can also use the legacy "gallery" or "asides" (note the plural) categories.
-	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
+		// This theme styles the visual editor with editor-style.css to match the theme style.
+		add_editor_style();
 
-	// This theme uses post thumbnails
-	add_theme_support( 'post-thumbnails' );
+		// Post Format support. You can also use the legacy "gallery" or "asides" (note the plural) categories.
+		add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
 
-	// Add default posts and comments RSS feed links to head
-	add_theme_support( 'automatic-feed-links' );
+		// This theme uses post thumbnails
+		add_theme_support( 'post-thumbnails' );
 
-	/*
-	 * Make theme available for translation.
-	 * Translations can be filed in the /languages/ directory
-	 */
-	load_theme_textdomain( 'twentyten', get_template_directory() . '/languages' );
-
-	// This theme uses wp_nav_menu() in one location.
-	register_nav_menus( array(
-		'primary' => __( 'Primary Navigation', 'twentyten' ),
-	) );
+		// Add default posts and comments RSS feed links to head
+		add_theme_support( 'automatic-feed-links' );
 
-	// This theme allows users to set a custom background.
-	add_theme_support( 'custom-background', array(
-		// Let WordPress know what our default background color is.
-		'default-color' => 'f1f1f1',
-	) );
-
-	// The custom header business starts here.
-
-	$custom_header_support = array(
 		/*
-		 * The default image to use.
-		 * The %s is a placeholder for the theme template directory URI.
+		 * Make theme available for translation.
+		 * Translations can be filed in the /languages/ directory
 		 */
-		'default-image' => '%s/images/headers/path.jpg',
-		// The height and width of our custom header.
-		/**
+		load_theme_textdomain( 'twentyten', get_template_directory() . '/languages' );
+
+		// This theme uses wp_nav_menu() in one location.
+		register_nav_menus( array(
+			'primary' => __( 'Primary Navigation', 'twentyten' ),
+		) );
+
+			// This theme allows users to set a custom background.
+			add_theme_support( 'custom-background', array(
+				// Let WordPress know what our default background color is.
+				'default-color' => 'f1f1f1',
+			) );
+
+			// The custom header business starts here.
+
+			$custom_header_support = array(
+			/*
+			 * The default image to use.
+			 * The %s is a placeholder for the theme template directory URI.
+			 */
+			'default-image' => '%s/images/headers/path.jpg',
+			// The height and width of our custom header.
+			/**
 		 * Filter the Twenty Ten default header image width.
 		 *
 		 * @since Twenty Ten 1.0
 		 *
 		 * @param int The default header image width in pixels. Default 940.
 		 */
-		'width' => apply_filters( 'twentyten_header_image_width', 940 ),
-		/**
+			'width' => apply_filters( 'twentyten_header_image_width', 940 ),
+			/**
 		 * Filter the Twenty Ten defaul header image height.
 		 *
 		 * @since Twenty Ten 1.0
 		 *
 		 * @param int The default header image height in pixels. Default 198.
 		 */
-		'height' => apply_filters( 'twentyten_header_image_height', 198 ),
-		// Support flexible heights.
-		'flex-height' => true,
-		// Don't support text inside the header image.
-		'header-text' => false,
-		// Callback for styling the header preview in the admin.
-		'admin-head-callback' => 'twentyten_admin_header_style',
-	);
-
-	add_theme_support( 'custom-header', $custom_header_support );
-
-	if ( ! function_exists( 'get_custom_header' ) ) {
-		// This is all for compatibility with versions of WordPress prior to 3.4.
-		define( 'HEADER_TEXTCOLOR', '' );
-		define( 'NO_HEADER_TEXT', true );
-		define( 'HEADER_IMAGE', $custom_header_support['default-image'] );
-		define( 'HEADER_IMAGE_WIDTH', $custom_header_support['width'] );
-		define( 'HEADER_IMAGE_HEIGHT', $custom_header_support['height'] );
-		add_custom_image_header( '', $custom_header_support['admin-head-callback'] );
-		add_custom_background();
-	}
-
-	/*
-	 * We'll be using post thumbnails for custom header images on posts and pages.
-	 * We want them to be 940 pixels wide by 198 pixels tall.
-	 * Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
-	 */
-	set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );
-
-	// ... and thus ends the custom header business.
-
-	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
-	register_default_headers( array(
-		'berries' => array(
-			'url' => '%s/images/headers/berries.jpg',
-			'thumbnail_url' => '%s/images/headers/berries-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Berries', 'twentyten' )
-		),
-		'cherryblossom' => array(
-			'url' => '%s/images/headers/cherryblossoms.jpg',
-			'thumbnail_url' => '%s/images/headers/cherryblossoms-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Cherry Blossoms', 'twentyten' )
-		),
-		'concave' => array(
-			'url' => '%s/images/headers/concave.jpg',
-			'thumbnail_url' => '%s/images/headers/concave-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Concave', 'twentyten' )
-		),
-		'fern' => array(
-			'url' => '%s/images/headers/fern.jpg',
-			'thumbnail_url' => '%s/images/headers/fern-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Fern', 'twentyten' )
-		),
-		'forestfloor' => array(
-			'url' => '%s/images/headers/forestfloor.jpg',
-			'thumbnail_url' => '%s/images/headers/forestfloor-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Forest Floor', 'twentyten' )
-		),
-		'inkwell' => array(
-			'url' => '%s/images/headers/inkwell.jpg',
-			'thumbnail_url' => '%s/images/headers/inkwell-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Inkwell', 'twentyten' )
-		),
-		'path' => array(
-			'url' => '%s/images/headers/path.jpg',
-			'thumbnail_url' => '%s/images/headers/path-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Path', 'twentyten' )
-		),
-		'sunset' => array(
-			'url' => '%s/images/headers/sunset.jpg',
-			'thumbnail_url' => '%s/images/headers/sunset-thumbnail.jpg',
-			/* translators: header image description */
-			'description' => __( 'Sunset', 'twentyten' )
-		)
-	) );
-}
+			'height' => apply_filters( 'twentyten_header_image_height', 198 ),
+			// Support flexible heights.
+			'flex-height' => true,
+			// Don't support text inside the header image.
+			'header-text' => false,
+			// Callback for styling the header preview in the admin.
+			'admin-head-callback' => 'twentyten_admin_header_style',
+			);
+
+			add_theme_support( 'custom-header', $custom_header_support );
+
+		if ( ! function_exists( 'get_custom_header' ) ) {
+			// This is all for compatibility with versions of WordPress prior to 3.4.
+			define( 'HEADER_TEXTCOLOR', '' );
+			define( 'NO_HEADER_TEXT', true );
+			define( 'HEADER_IMAGE', $custom_header_support['default-image'] );
+			define( 'HEADER_IMAGE_WIDTH', $custom_header_support['width'] );
+			define( 'HEADER_IMAGE_HEIGHT', $custom_header_support['height'] );
+			add_custom_image_header( '', $custom_header_support['admin-head-callback'] );
+			add_custom_background();
+		}
+
+			/*
+			 * We'll be using post thumbnails for custom header images on posts and pages.
+			 * We want them to be 940 pixels wide by 198 pixels tall.
+			 * Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
+			 */
+			set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );
+
+			// ... and thus ends the custom header business.
+
+			// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
+			register_default_headers( array(
+				'berries' => array(
+				'url' => '%s/images/headers/berries.jpg',
+				'thumbnail_url' => '%s/images/headers/berries-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Berries', 'twentyten' ),
+				),
+				'cherryblossom' => array(
+				'url' => '%s/images/headers/cherryblossoms.jpg',
+				'thumbnail_url' => '%s/images/headers/cherryblossoms-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Cherry Blossoms', 'twentyten' ),
+				),
+				'concave' => array(
+				'url' => '%s/images/headers/concave.jpg',
+				'thumbnail_url' => '%s/images/headers/concave-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Concave', 'twentyten' ),
+				),
+				'fern' => array(
+				'url' => '%s/images/headers/fern.jpg',
+				'thumbnail_url' => '%s/images/headers/fern-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Fern', 'twentyten' ),
+				),
+				'forestfloor' => array(
+				'url' => '%s/images/headers/forestfloor.jpg',
+				'thumbnail_url' => '%s/images/headers/forestfloor-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Forest Floor', 'twentyten' ),
+				),
+				'inkwell' => array(
+				'url' => '%s/images/headers/inkwell.jpg',
+				'thumbnail_url' => '%s/images/headers/inkwell-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Inkwell', 'twentyten' ),
+				),
+				'path' => array(
+				'url' => '%s/images/headers/path.jpg',
+				'thumbnail_url' => '%s/images/headers/path-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Path', 'twentyten' ),
+				),
+				'sunset' => array(
+				'url' => '%s/images/headers/sunset.jpg',
+				'thumbnail_url' => '%s/images/headers/sunset-thumbnail.jpg',
+				/* translators: header image description */
+				'description' => __( 'Sunset', 'twentyten' ),
+				),
+			) );
+	}
 endif;
 
 if ( ! function_exists( 'twentyten_admin_header_style' ) ) :
-/**
+	/**
  * Style the header image displayed on the Appearance > Header admin panel.
  *
  * Referenced via add_custom_image_header() in twentyten_setup().
  *
  * @since Twenty Ten 1.0
  */
-function twentyten_admin_header_style() {
-?>
-<style type="text/css" id="twentyten-admin-header-css">
-/* Shows the same border as on front end */
-#headimg {
-	border-bottom: 1px solid #000;
-	border-top: 4px solid #000;
-}
-/* If header-text was supported, you would style the text with these selectors:
-	#headimg #name { }
-	#headimg #desc { }
-*/
-</style>
-<?php
-}
+	function twentyten_admin_header_style() {
+		?>
+		<style type="text/css" id="twentyten-admin-header-css">
+		/* Shows the same border as on front end */
+		#headimg {
+		border-bottom: 1px solid #000;
+		border-top: 4px solid #000;
+		}
+		/* If header-text was supported, you would style the text with these selectors:
+		#headimg #name { }
+		#headimg #desc { }
+		*/
+		</style>
+		<?php
+	}
 endif;
 
 /**
@@ -246,8 +247,9 @@
  * @param array $args An optional array of arguments. @see wp_page_menu()
  */
 function twentyten_page_menu_args( $args ) {
-	if ( ! isset( $args['show_home'] ) )
+	if ( ! isset( $args['show_home'] ) ) {
 		$args['show_home'] = true;
+	}
 	return $args;
 }
 add_filter( 'wp_page_menu_args', 'twentyten_page_menu_args' );
@@ -269,16 +271,16 @@
 add_filter( 'excerpt_length', 'twentyten_excerpt_length' );
 
 if ( ! function_exists( 'twentyten_continue_reading_link' ) ) :
-/**
+	/**
  * Return a "Continue Reading" link for excerpts.
  *
  * @since Twenty Ten 1.0
  *
  * @return string "Continue Reading" link.
  */
-function twentyten_continue_reading_link() {
-	return ' <a href="'. get_permalink() . '">' . __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) . '</a>';
-}
+	function twentyten_continue_reading_link() {
+		return ' <a href="' . get_permalink() . '">' . __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) . '</a>';
+	}
 endif;
 
 /**
@@ -346,11 +348,12 @@
 	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
 }
 // Backwards compatibility with WordPress 3.0.
-if ( version_compare( $GLOBALS['wp_version'], '3.1', '<' ) )
+if ( version_compare( $GLOBALS['wp_version'], '3.1', '<' ) ) {
 	add_filter( 'gallery_style', 'twentyten_remove_gallery_css' );
+}
 
 if ( ! function_exists( 'twentyten_comment' ) ) :
-/**
+	/**
  * Template for comments and pingbacks.
  *
  * To override this walker in a child theme without modifying the comments template
@@ -364,12 +367,12 @@
  * @param array  $args    An array of arguments. @see get_comment_reply_link()
  * @param int    $depth   The depth of the comment.
  */
-function twentyten_comment( $comment, $args, $depth ) {
-	$GLOBALS['comment'] = $comment;
-	switch ( $comment->comment_type ) :
-		case '' :
-	?>
-	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
+	function twentyten_comment( $comment, $args, $depth ) {
+		$GLOBALS['comment'] = $comment;
+		switch ( $comment->comment_type ) :
+			case '' :
+		?>
+		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
 		<div id="comment-<?php comment_ID(); ?>">
 			<div class="comment-author vcard">
 				<?php echo get_avatar( $comment, 40 ); ?>
@@ -385,26 +388,29 @@
 					/* translators: 1: date, 2: time */
 					printf( __( '%1$s at %2$s', 'twentyten' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'twentyten' ), ' ' );
 				?>
-			</div><!-- .comment-meta .commentmetadata -->
+				</div><!-- .comment-meta .commentmetadata -->
 
-			<div class="comment-body"><?php comment_text(); ?></div>
+				<div class="comment-body"><?php comment_text(); ?></div>
 
-			<div class="reply">
-				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
-			</div><!-- .reply -->
-		</div><!-- #comment-##  -->
+				<div class="reply">
+				<?php comment_reply_link( array_merge( $args, array(
+					'depth' => $depth,
+					'max_depth' => $args['max_depth'],
+				) ) ); ?>
+				</div><!-- .reply -->
+			</div><!-- #comment-##  -->
 
-	<?php
+		<?php
 			break;
-		case 'pingback'  :
-		case 'trackback' :
-	?>
-	<li class="post pingback">
+			case 'pingback'  :
+			case 'trackback' :
+		?>
+		<li class="post pingback">
 		<p><?php _e( 'Pingback:', 'twentyten' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'twentyten' ), ' ' ); ?></p>
 	<?php
 			break;
-	endswitch;
-}
+			endswitch;
+	}
 endif;
 
 /**
@@ -505,53 +511,53 @@
 add_action( 'widgets_init', 'twentyten_remove_recent_comments_style' );
 
 if ( ! function_exists( 'twentyten_posted_on' ) ) :
-/**
+	/**
  * Print HTML with meta information for the current post-date/time and author.
  *
  * @since Twenty Ten 1.0
  */
-function twentyten_posted_on() {
-	printf( __( '<span class="%1$s">Posted on</span> %2$s <span class="meta-sep">by</span> %3$s', 'twentyten' ),
-		'meta-prep meta-prep-author',
-		sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
-			get_permalink(),
-			esc_attr( get_the_time() ),
-			get_the_date()
-		),
-		sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
-			get_author_posts_url( get_the_author_meta( 'ID' ) ),
-			esc_attr( sprintf( __( 'View all posts by %s', 'twentyten' ), get_the_author() ) ),
-			get_the_author()
-		)
-	);
-}
+	function twentyten_posted_on() {
+		printf( __( '<span class="%1$s">Posted on</span> %2$s <span class="meta-sep">by</span> %3$s', 'twentyten' ),
+			'meta-prep meta-prep-author',
+			sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
+				get_permalink(),
+				esc_attr( get_the_time() ),
+				get_the_date()
+			),
+			sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
+				get_author_posts_url( get_the_author_meta( 'ID' ) ),
+				esc_attr( sprintf( __( 'View all posts by %s', 'twentyten' ), get_the_author() ) ),
+				get_the_author()
+			)
+		);
+	}
 endif;
 
 if ( ! function_exists( 'twentyten_posted_in' ) ) :
-/**
+	/**
  * Print HTML with meta information for the current post (category, tags and permalink).
  *
  * @since Twenty Ten 1.0
  */
-function twentyten_posted_in() {
-	// Retrieves tag list of current post, separated by commas.
-	$tag_list = get_the_tag_list( '', ', ' );
-	if ( $tag_list ) {
-		$posted_in = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'twentyten' );
-	} elseif ( is_object_in_taxonomy( get_post_type(), 'category' ) ) {
-		$posted_in = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'twentyten' );
-	} else {
-		$posted_in = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'twentyten' );
+	function twentyten_posted_in() {
+		// Retrieves tag list of current post, separated by commas.
+		$tag_list = get_the_tag_list( '', ', ' );
+		if ( $tag_list ) {
+			$posted_in = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'twentyten' );
+		} elseif ( is_object_in_taxonomy( get_post_type(), 'category' ) ) {
+			$posted_in = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'twentyten' );
+		} else {
+			$posted_in = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'twentyten' );
+		}
+			// Prints the string, replacing the placeholders.
+			printf(
+				$posted_in,
+				get_the_category_list( ', ' ),
+				$tag_list,
+				get_permalink(),
+				the_title_attribute( 'echo=0' )
+			);
 	}
-	// Prints the string, replacing the placeholders.
-	printf(
-		$posted_in,
-		get_the_category_list( ', ' ),
-		$tag_list,
-		get_permalink(),
-		the_title_attribute( 'echo=0' )
-	);
-}
 endif;
 
 /**
@@ -569,14 +575,16 @@
 
 	if ( function_exists( 'get_post_galleries' ) ) {
 		$galleries = get_post_galleries( get_the_ID(), false );
-		if ( isset( $galleries[0]['ids'] ) )
+		if ( isset( $galleries[0]['ids'] ) ) {
 			$images = explode( ',', $galleries[0]['ids'] );
+		}
 	} else {
 		$pattern = get_shortcode_regex();
 		preg_match( "/$pattern/s", get_the_content(), $match );
 		$atts = shortcode_parse_atts( $match[3] );
-		if ( isset( $atts['ids'] ) )
+		if ( isset( $atts['ids'] ) ) {
 			$images = explode( ',', $atts['ids'] );
+		}
 	}
 
 	if ( ! $images ) {
Index: src/wp-content/themes/twentyten/header.php
===================================================================
--- src/wp-content/themes/twentyten/header.php	(revision 40901)
+++ src/wp-content/themes/twentyten/header.php	(working copy)
@@ -25,12 +25,14 @@
 
 	// Add the blog description for the home/front page.
 	$site_description = get_bloginfo( 'description', 'display' );
-	if ( $site_description && ( is_home() || is_front_page() ) )
-		echo " | $site_description";
+if ( $site_description && ( is_home() || is_front_page() ) ) {
+	echo " | $site_description";
+}
 
 	// Add a page number if necessary:
-	if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() )
-		echo esc_html( ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) ) );
+if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() ) {
+	echo esc_html( ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) ) );
+}
 
 	?></title>
 <link rel="profile" href="http://gmpg.org/xfn/11" />
@@ -41,8 +43,9 @@
 	 * We add some JavaScript to pages with the comment form
 	 * to support sites with threaded comments (when in use).
 	 */
-	if ( is_singular() && get_option( 'thread_comments' ) )
-		wp_enqueue_script( 'comment-reply' );
+if ( is_singular() && get_option( 'thread_comments' ) ) {
+	wp_enqueue_script( 'comment-reply' );
+}
 
 	/*
 	 * Always have wp_head() just before the closing </head>
@@ -69,23 +72,23 @@
 
 				<?php
 					// Compatibility with versions of WordPress prior to 3.4.
-					if ( function_exists( 'get_custom_header' ) ) {
-						/*
-						 * We need to figure out what the minimum width should be for our featured image.
-						 * This result would be the suggested width if the theme were to implement flexible widths.
-						 */
-						$header_image_width = get_theme_support( 'custom-header', 'width' );
-					} else {
-						$header_image_width = HEADER_IMAGE_WIDTH;
-					}
+				if ( function_exists( 'get_custom_header' ) ) {
+					/*
+					* We need to figure out what the minimum width should be for our featured image.
+					* This result would be the suggested width if the theme were to implement flexible widths.
+					*/
+					$header_image_width = get_theme_support( 'custom-header', 'width' );
+				} else {
+					$header_image_width = HEADER_IMAGE_WIDTH;
+				}
 
 					// Check if this is a post or page, if it has a thumbnail, and if it's a big one
-					if ( is_singular() && current_theme_supports( 'post-thumbnails' ) &&
+				if ( is_singular() && current_theme_supports( 'post-thumbnails' ) &&
 							has_post_thumbnail( $post->ID ) &&
 							( /* $src, $width, $height */ $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' ) ) &&
 							$image[1] >= $header_image_width ) :
-						// Houston, we have a new header image!
-						echo get_the_post_thumbnail( $post->ID );
+					// Houston, we have a new header image!
+					echo get_the_post_thumbnail( $post->ID );
 					elseif ( get_header_image() ) :
 						// Compatibility with versions of WordPress prior to 3.4.
 						if ( function_exists( 'get_custom_header' ) ) {
@@ -101,7 +104,7 @@
 			</div><!-- #branding -->
 
 			<div id="access" role="navigation">
-			  <?php /* Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
+				<?php /* Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
 				<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentyten' ); ?>"><?php _e( 'Skip to content', 'twentyten' ); ?></a></div>
 				<?php /* Our navigation menu. If one isn't filled out, wp_nav_menu falls back to wp_page_menu. The menu assiged to the primary position is the one used. If none is assigned, the menu with the lowest ID is used. */ ?>
 				<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
Index: src/wp-content/themes/twentyten/loop-attachment.php
===================================================================
--- src/wp-content/themes/twentyten/loop-attachment.php	(revision 40901)
+++ src/wp-content/themes/twentyten/loop-attachment.php	(working copy)
@@ -15,7 +15,7 @@
  */
 ?>
 
-<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
+<?php if ( have_posts() ) { while ( have_posts() ) : the_post(); ?>
 
 				<?php if ( ! empty( $post->post_parent ) ) : ?>
 					<p class="page-title"><a href="<?php echo esc_url( get_permalink( $post->post_parent ) ); ?>" title="<?php echo esc_attr( sprintf( __( 'Return to %s', 'twentyten' ), strip_tags( get_the_title( $post->post_parent ) ) ) ); ?>" rel="gallery"><?php
@@ -47,18 +47,18 @@
 									get_the_date()
 								)
 							);
-							if ( wp_attachment_is_image() ) {
-								echo ' <span class="meta-sep">|</span> ';
-								$metadata = wp_get_attachment_metadata();
-								printf( __( 'Full size is %s pixels', 'twentyten' ),
-									sprintf( '<a href="%1$s" title="%2$s">%3$s &times; %4$s</a>',
-										esc_url( wp_get_attachment_url() ),
-										esc_attr( __( 'Link to full-size image', 'twentyten' ) ),
-										$metadata['width'],
-										$metadata['height']
-									)
-								);
-							}
+						if ( wp_attachment_is_image() ) {
+							echo ' <span class="meta-sep">|</span> ';
+							$metadata = wp_get_attachment_metadata();
+							printf( __( 'Full size is %s pixels', 'twentyten' ),
+								sprintf( '<a href="%1$s" title="%2$s">%3$s &times; %4$s</a>',
+									esc_url( wp_get_attachment_url() ),
+									esc_attr( __( 'Link to full-size image', 'twentyten' ) ),
+									$metadata['width'],
+									$metadata['height']
+								)
+							);
+						}
 						?>
 						<?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
 					</div><!-- .entry-meta -->
@@ -66,21 +66,29 @@
 					<div class="entry-content">
 						<div class="entry-attachment">
 <?php if ( wp_attachment_is_image() ) :
-	$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
+	$attachments = array_values( get_children( array(
+		'post_parent' => $post->post_parent,
+		'post_status' => 'inherit',
+		'post_type' => 'attachment',
+		'post_mime_type' => 'image',
+		'order' => 'ASC',
+		'orderby' => 'menu_order ID',
+	) ) );
 	foreach ( $attachments as $k => $attachment ) {
-		if ( $attachment->ID == $post->ID )
+		if ( $attachment->ID == $post->ID ) {
 			break;
+		}
 	}
 
 	// If there is more than 1 image attachment in a gallery
 	if ( count( $attachments ) > 1 ) {
 		$k++;
-		if ( isset( $attachments[ $k ] ) )
+		if ( isset( $attachments[ $k ] ) ) {
 			// get the URL of the next image attachment
 			$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
-		else
-			// or get the URL of the first image attachment
+		} else { // End if().
 			$next_attachment_url = get_attachment_link( $attachments[0]->ID );
+		}
 	} else {
 		// or, if there's only 1 image attachment, get the URL of the image
 		$next_attachment_url = wp_get_attachment_url();
@@ -114,10 +122,13 @@
 						<a href="<?php echo esc_url( wp_get_attachment_url() ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment"><?php echo esc_html( basename( get_permalink() ) ); ?></a>
 <?php endif; ?>
 						</div><!-- .entry-attachment -->
-						<div class="entry-caption"><?php if ( ! empty( $post->post_excerpt ) ) the_excerpt(); ?></div>
+						<div class="entry-caption"><?php if ( ! empty( $post->post_excerpt ) ) { the_excerpt();} ?></div>
 
 <?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?>
-<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
+<?php wp_link_pages( array(
+	'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ),
+	'after' => '</div>',
+) ); ?>
 
 					</div><!-- .entry-content -->
 
@@ -129,4 +140,6 @@
 
 <?php comments_template(); ?>
 
-<?php endwhile; // end of the loop. ?>
+<?php endwhile;
+}; // End if().
+?>
Index: src/wp-content/themes/twentyten/loop-page.php
===================================================================
--- src/wp-content/themes/twentyten/loop-page.php	(revision 40901)
+++ src/wp-content/themes/twentyten/loop-page.php	(working copy)
@@ -15,7 +15,7 @@
  */
 ?>
 
-<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
+<?php if ( have_posts() ) { while ( have_posts() ) : the_post(); ?>
 
 				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
 					<?php if ( is_front_page() ) { ?>
@@ -26,11 +26,16 @@
 
 					<div class="entry-content">
 						<?php the_content(); ?>
-						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
+						<?php wp_link_pages( array(
+							'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ),
+							'after' => '</div>',
+						) ); ?>
 						<?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="edit-link">', '</span>' ); ?>
 					</div><!-- .entry-content -->
 				</div><!-- #post-## -->
 
 				<?php comments_template( '', true ); ?>
 
-<?php endwhile; // end of the loop. ?>
+<?php endwhile;
+}; // End if().
+?>
Index: src/wp-content/themes/twentyten/loop-single.php
===================================================================
--- src/wp-content/themes/twentyten/loop-single.php	(revision 40901)
+++ src/wp-content/themes/twentyten/loop-single.php	(working copy)
@@ -15,7 +15,7 @@
  */
 ?>
 
-<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
+<?php if ( have_posts() ) { while ( have_posts() ) : the_post(); ?>
 
 				<div id="nav-above" class="navigation">
 					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'twentyten' ) . '</span> %title' ); ?></div>
@@ -31,7 +31,10 @@
 
 					<div class="entry-content">
 						<?php the_content(); ?>
-						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
+						<?php wp_link_pages( array(
+							'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ),
+							'after' => '</div>',
+						) ); ?>
 					</div><!-- .entry-content -->
 
 <?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
@@ -67,4 +70,6 @@
 
 				<?php comments_template( '', true ); ?>
 
-<?php endwhile; // end of the loop. ?>
+<?php endwhile;
+}; // End if().
+?>
